import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFolderCreateManyUserInputObjectSchema as CloudFolderCreateManyUserInputObjectSchema } from './CloudFolderCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => CloudFolderCreateManyUserInputObjectSchema), z.lazy(() => CloudFolderCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const CloudFolderCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.CloudFolderCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderCreateManyUserInputEnvelope>;
export const CloudFolderCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
